# Uses of Interface
org.jmol.api.GenericFileInterface

Packages that use GenericFileInterface
Package
Description
jspecview.api
jspecview.java
jspecview.js2d
jspecview.source
org.jmol.api
org.jmol.awt
org.jmol.awtjs2d
org.jmol.viewer

## Uses of GenericFileInterface in jspecview.api

Methods in jspecview.api that return GenericFileInterface
Modifier and Type
Method
Description
`GenericFileInterface`
JSVFileHelper.`getFile(String fileName, Object panelOrFrame, boolean isAppend)`
`GenericFileInterface`
JSVFileHelper.`showFileOpenDialog(Object panelOrFrame, Object[] userData)`
Methods in jspecview.api with parameters of type GenericFileInterface
Modifier and Type
Method
Description
`String`
JSVPanel.`saveImage(String type, GenericFileInterface file, OC out, int width, int height)`

## Uses of GenericFileInterface in jspecview.java

Methods in jspecview.java that return GenericFileInterface
Modifier and Type
Method
Description
`GenericFileInterface`
AwtFileHelper.`getFile(String name, Object panelOrFrame, boolean isSave)`
`GenericFileInterface`
AwtPlatform.`newFile(String name)`
`GenericFileInterface`
AwtFileHelper.`showFileOpenDialog(Object panelOrFrame, Object[] userData)`
Methods in jspecview.java with parameters of type GenericFileInterface
Modifier and Type
Method
Description
`String`
AwtPanel.`saveImage(String type, GenericFileInterface file, OC out, int width, int height)`

## Uses of GenericFileInterface in jspecview.js2d

Methods in jspecview.js2d that return GenericFileInterface
Modifier and Type
Method
Description
`GenericFileInterface`
JsFileHelper.`getFile(String fileName, Object panelOrFrame, boolean isSave)`
`GenericFileInterface`
JsPlatform.`newFile(String name)`
`GenericFileInterface`
JsFileHelper.`showFileOpenDialog(Object panelOrFrame, Object[] userData)`
Methods in jspecview.js2d with parameters of type GenericFileInterface
Modifier and Type
Method
Description
`String`
JsPanel.`saveImage(String type, GenericFileInterface file, OC out, int width, int height)`

## Uses of GenericFileInterface in jspecview.source

Methods in jspecview.source with parameters of type GenericFileInterface
Modifier and Type
Method
Description
`static JDXSource`
JDXReader.`createJDXSource(GenericFileInterface file, Object in, String filePath, boolean obscure, boolean loadImaginary, int iSpecFirst, int iSpecLast, float nmrMaxY)`
general entrance method

## Uses of GenericFileInterface in org.jmol.api

Methods in org.jmol.api that return GenericFileInterface
Modifier and Type
Method
Description
`GenericFileInterface`
GenericFileInterface.`getParentAsFile()`
`GenericFileInterface`
GenericPlatform.`newFile(String name)`

## Uses of GenericFileInterface in org.jmol.awt

Methods in org.jmol.awt that return GenericFileInterface
Modifier and Type
Method
Description
`GenericFileInterface`
Platform.`newFile(String name)`

## Uses of GenericFileInterface in org.jmol.awtjs2d

Methods in org.jmol.awtjs2d that return GenericFileInterface
Modifier and Type
Method
Description
`GenericFileInterface`
Platform.`newFile(String name)`

## Uses of GenericFileInterface in org.jmol.viewer

Methods in org.jmol.viewer that return GenericFileInterface
Modifier and Type
Method
Description
`static GenericFileInterface`
FileManager.`getLocalDirectory(Viewer vwr, boolean forDialog)`